$media: (
  sm: 640px,
  md: 768px,
  lg: 1024px,
  xl: 1280px
);

@mixin media($breakpoint) {
  @each $breakpoints, $size in $media {
    @if $breakpoint==$breakpoints {
      @media screen and (min-width: $size) {
        @content;
      }
    }
  }
}

@mixin reset-list {
  margin: 0;
  padding: 0;
  list-style: none;
}

@mixin reset-button {
  padding: 0;
  margin: 0;

  border: none;
  outline: none;
  background: transparent;
}
